macProVideo.com
Forums
  • roberto
    Posts: 150
    Joined: Feb 5th, 2007, 06:45
    Logic 9 and G5
    Hi I've heard a good news: seems that Logic 9 can be used with the old dear G5. But looking around in different forums I saw that some people has problems with it. I have a G5 Quad, 4 x 2.5 GHz, 4 Giga ram. Mac OS X 10.4.11. Tiger. And Logic Pro 8.0 (never updated). Is anyone tryng a similar change? Any suggestion? Thanks a lot Roberto
    Reply
  • Rounik Admin
    Posts: 8713
    Joined: Dec 16th, 2006, 08:13
    Re: Logic 9 and G5
    Hi Roberto, I haven't seen any negative press from G5 users regarding Logic 9 ( at least those you have installed it!) Why have you not update Logic 8 to 8.0.2? IMHO it is a better update and fixes some bugs from 8.0.0... One requirement for Logic 9 no one is able to avoid is OSX Leopard 10.5.7 Also, from other reports it seems that many users have successfully installed Logic 9 on their systems and are still able to use Logic 8 too. But, as Apple don't officially support PPC architecture for Logic 9, if anything was to go wrong you probably would not get any support direct from Apple at all. Another thing to consider is nobody knows if future updates for Logic 9. e.g. 9.0.1 will break Logic 9 on PPC. If you're still keen to install Logic 9 on your G5 then do either clone your system and/or install 9 on a test machine. You know what I'm talking about here, Roberto... File Management ;-) What are other users thoughts? Rounik
    Reply
You must be logged in to post a reply
Recent Threads
Recent Posts
Feedback
Course Advisor
Don't Know Where To Start?
Ask A Course Advisor
Ask Us!
Copy the link below and paste it into an email, forum, or Facebook to share this with your friends.
Make money when you share our links
Become a macProVideo.com Affiliate!
The current affiliate rate is: 50%
Classes Start Next Week!
Live 8-week Online Certification Classes for: